0) Determine if onboarding is needed. Onboarding is needed if there is no TMDB api key registered in Argus private file
storage.

1) Assumes there is no registered TMDB api key.
1a) Determine if the User has a TMDB accountGet a TMDB api key...
